## python-pyxattr 0.5.1

=== Makefile ===
SPHINXOPTS    = -W
SPHINXBUILD   = sphinx-build
DOCDIR        = doc
DOCHTML       = $(DOCDIR)/html
DOCTREES      = $(DOCDIR)/doctrees
ALLSPHINXOPTS = -d $(DOCTREES) $(SPHINXOPTS) $(DOCDIR)

MODNAME = xattr.so
RSTFILES = doc/index.rst doc/module.rst NEWS README doc/conf.py

all: doc test

$(MODNAME): xattr.c
	./setup.py build_ext --inplace

$(DOCHTML)/index.html: $(MODNAME) $(RSTFILES)
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(DOCHTML)
	touch $@

doc: $(DOCHTML)/index.html

dist:
	fakeroot ./setup.py sdist

test:
	for ver in 2.4 2.5 2.6 2.7 3.0 3.1 3.2; do \
	  if type python$$ver >/dev/null; then \
	    echo Testing with python$$ver; \
	    python$$ver ./setup.py test; \
          fi; \
	done

clean:
	rm -rf $(DOCHTML) $(DOCTREES)
	rm -f $(MODNAME)
	rm -rf build

.PHONY: doc test clean dist

## python-pyxattr 0.5.0

=== debian/changelog ===
python-pyxattr (0.5.0-3ubuntu1) precise; urgency=low

  * Build using dh_python2

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2011 14:25:22 +0000

python-pyxattr (0.5.0-3build1) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:12:07 +0000

python-pyxattr (0.5.0-3) unstable; urgency=low

  * Remove old Replaces/Breaks

 -- Iustin Pop <iustin@debian.org>  Tue, 17 Aug 2010 23:06:32 +0200

python-pyxattr (0.5.0-2) unstable; urgency=low

  * Apply a modified version of the Ubuntu patch for enabling debug
    packages, thanks Angel Abad (Closes: #591634).
  * Standards version 3.9.1 (use Breaks instead of Conflicts).

 -- Iustin Pop <iustin@debian.org>  Thu, 05 Aug 2010 13:50:26 -0400

python-pyxattr (0.5.0-1) unstable; urgency=low

  * New upstream version
  * Standards version 3.8.4 (no changes needed)
  * Switch to dpkg-source 3.0 (quilt) format
  * Added doc-base control file for the shipped documentation

 -- Iustin Pop <iustin@debian.org>  Mon, 01 Mar 2010 21:29:00 +0100

python-pyxattr (0.4.0-2) unstable; urgency=low

  * Fix "FTBFS on GNU/kFreeBSD" (added a modified form of the submitted patch,
    thanks Cyril Brulebois) (Closes: #540979)
  * Update standards version (no changes needed)

 -- Iustin Pop <iusty@k1024.org>  Wed, 12 Aug 2009 22:13:13 +0200

python-pyxattr (0.4.0-1) unstable; urgency=low

  * New Upstream Version, with license changed to LGPL
  * Update to Policy 3.8.0
  * Update the rules file for newer pysupport version
  * Update debhelper compat level to 7
  * Added watch file

 -- Iustin Pop <iusty@k1024.org>  Mon, 30 Jun 2008 23:26:01 +0200

python-pyxattr (0.2.2-2) unstable; urgency=low

  * Upgrade standards version to 3.7.3 (no changes required)
  * Fix other lintian warnings

 -- Iustin Pop <iusty@k1024.org>  Tue, 26 Feb 2008 22:38:38 +0100

python-pyxattr (0.2.2-1) unstable; urgency=low

  * New upstream release (Closes: #431112)
  * Acknowledge NMUs (thanks Pierre!) (Closes: #373348, #368616)

 -- Iustin Pop <iusty@k1024.org>  Mon, 16 Jul 2007 20:58:34 +0200

python-pyxattr (0.2.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to the last python policy (Closes: #373348).
  * Package is now arch:any (Closes: #368616).

 -- Pierre Habouzit <madcoder@debian.org>  Sun,  2 Jul 2006 15:44:23 +0200

python-pyxattr (0.2.1-1) unstable; urgency=low

  * New upstream release (fixes a symlink handling bug
    and a possible memory leak)
  * Stop building python 2.2 packages (closes: #351150)
  * Start building python 2.4 packages
  * Updated standards version to 3.6.2 (no changes)
  * Update FSF address in copyright file

 -- Iustin Pop <iusty@k1024.org>  Sat, 11 Feb 2006 23:28:43 +0200

python-pyxattr (0.2-2) unstable; urgency=low

  * Fixed missing dependency on python (closes: #258484)
  * Updates to standards version 3.6.1

 -- Iustin Pop <iusty@k1024.org>  Sun, 11 Jul 2004 02:16:09 +0300

python-pyxattr (0.2-1) unstable; urgency=low

  * Initial Release.

 -- Iustin Pop <iusty@k1024.org>  Tue, 16 Sep 2003 01:27:31 +0300

=== debian/control ===
Source: python-pyxattr
Section: python
Priority: optional
Maintainer: Iustin Pop <iustin@debian.org>
Build-Depends: debhelper (>= 7),
 python-all (>= 2.6.6-3~), python-all-dev (>= 2.6.2), python-all-dbg,
 libattr1-dev, python-setuptools, python-epydoc
Standards-Version: 3.9.1
Homepage: http://pyxattr.sourceforge.net/
Vcs-Browser: http://git.k1024.org/debian-pyxattr.git
Vcs-Git: git://git.k1024.org/debian-pyxattr.git

Package: python-pyxattr
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Suggests: python-pyxattr-dbg
Description: module for manipulating filesystem extended attributes
 pyxattr is a Python interface to the libattr library. It allows
 manipulation of the filesystem extended attributes present in some
 operating systems (GNU/Linux included).

Package: python-pyxattr-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-pyxattr (= ${binary:Version}), python-dbg, ${shlibs:Depends},
 ${misc:Depends}
Description: module for manipulating filesystem extended attributes (debug extension)
 pyxattr is a Python interface to the libattr library. It allows
 manipulation of the filesystem extended attributes present in some
 operating systems (GNU/Linux included).
 .
 This package contains the extension built for the Python debug
 interpreter.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

PYVERS := $(shell pyversions -vr)

build: $(PYVERS:%=build-python%) build-indep
	touch $@

build-python%:
	python$* setup.py build
	python$*-dbg setup.py build
	touch $@

build-indep:
	./setup.py build_ext -i && epydoc --config epydoc.conf
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep #CONFIGURE-STAMP#
	rm -rf build html
	rm -f xattr.so
	rm -f $(PYVERS:%=build-python%)
	dh_clean

install: build $(PYVERS:%=install-python%)
	find debian/python-pyxattr-dbg ! -type d ! -name '*_d.so' | xargs rm -f
	find debian/python-pyxattr-dbg -depth -empty -print0 | xargs -r0 rmdir

install-python%:
	python$* setup.py install --root $(CURDIR)/debian/python-pyxattr --install-layout=deb
	python$*-dbg setup.py install --root $(CURDIR)/debian/python-pyxattr-dbg --install-layout=deb

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_strip -ppython-pyxattr --dbg-package=python-pyxattr-dbg
	rm -rf debian/python-pyxattr-dbg/usr/share/doc/python-pyxattr-dbg
	ln -s python-pyxattr debian/python-pyxattr-dbg/usr/share/doc/python-pyxattr-dbg
	dh_compress -X.js
	dh_fixperms
	dh_python2
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages here.
binary-indep: build install
# Nothing to do

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

## python-pyxattr 0.5.1

=== debian/changelog ===
python-pyxattr (0.5.1-1.1build4) trusty; urgency=medium

  * No-change rebuild to drop Python 3.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 15:28:35 +0000

python-pyxattr (0.5.1-1.1build3) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 18:32:49 +0000

python-pyxattr (0.5.1-1.1build2) raring; urgency=low

  * Rebuild to drop python3.2 provides.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Nov 2012 23:00:29 +0000

python-pyxattr (0.5.1-1.1build1) raring; urgency=low

  * No-change upload to build for python3.3.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Oct 2012 17:27:45 +0200

python-pyxattr (0.5.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop python3-sphinx as an alternate build-depend to python-sphinx to fix
    FTBFS (Closes: #680859)
    - The package only builds and installs html documentation for the python
      version anyway, so python3-sphinx as a build-dep is clearly wrong

 -- Scott Kitterman <scott@kitterman.com>  Mon, 16 Jul 2012 13:29:41 -0400

python-pyxattr (0.5.1-1) unstable; urgency=low

  * New upstream bug-fix release, fixing reference leaks and potential
    NULL pointer dereferences in low memory cases
  * Add python 3 packages, based on patch from Didier 'OdyX' Raboud
    (Closes: #606898)

 -- Iustin Pop <iustin@debian.org>  Wed, 16 May 2012 21:00:12 +0200

=== debian/control ===
Source: python-pyxattr
Section: python
Priority: optional
Maintainer: Iustin Pop <iustin@debian.org>
Build-Depends: debhelper (>= 7),
 python (>= 2.6.6-3~), python-all-dev (>= 2.6.6-3~), python-all-dbg,
 python3-all, python3-all-dev, python3-all-dbg,
 libattr1-dev, python-setuptools, python3-setuptools,
 python-sphinx (>= 1.0.7+dfsg)
Standards-Version: 3.9.3
Homepage: http://pyxattr.k1024.org/
Vcs-Browser: http://git.k1024.org/debian-pyxattr.git
Vcs-Git: git://git.k1024.org/debian-pyxattr.git
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.0

Package: python-pyxattr
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
 ${sphinxdoc:Depends}
Provides: ${python:Provides}
Suggests: python-pyxattr-dbg
Description: module for manipulating filesystem extended attributes
 pyxattr is a Python interface to the libattr library. It allows
 manipulation of the filesystem extended attributes present in some
 operating systems (GNU/Linux included).

Package: python-pyxattr-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-pyxattr (= ${binary:Version}), python-dbg, ${shlibs:Depends},
 ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: module for manipulating filesystem extended attributes (debug extension)
 pyxattr is a Python interface to the libattr library. It allows
 manipulation of the filesystem extended attributes present in some
 operating systems (GNU/Linux included).
 .
 This package contains the extension built for the Python debug
 interpreter.

Package: python3-pyxattr
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends},
 ${sphinxdoc:Depends}
Provides: ${python3:Provides}
Suggests: python3-pyxattr-dbg
Description: module for manipulating filesystem extended attributes (Python3)
 pyxattr is a Python interface to the libattr library. It allows
 manipulation of the filesystem extended attributes present in some
 operating systems (GNU/Linux included).
 .
 This package contains the extension built for the Python3
 interpreter.

Package: python3-pyxattr-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python3-pyxattr (= ${binary:Version}), python3-dbg,
 ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: module for manipulating filesystem extended attributes (Python3 debug version)
 pyxattr is a Python interface to the libattr library. It allows
 manipulation of the filesystem extended attributes present in some
 operating systems (GNU/Linux included).
 .
 This package contains the extension built for the Python3 debug
 interpreter.

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

# the package is located on github
https://github.com/iustin/pyxattr/downloads \
  /downloads/iustin/pyxattr/pyxattr-(.+).tar.gz

## python-pyxattr 0.5.3

=== Makefile ===
--- 
+++ 
@@ -23,12 +23,16 @@
 	fakeroot ./setup.py sdist
 
 test:
-	for ver in 2.4 2.5 2.6 2.7 3.0 3.1 3.2; do \
+	@for ver in 2.4 2.5 2.6 2.7 3.0 3.1 3.2 3.3; do \
 	  if type python$$ver >/dev/null; then \
 	    echo Testing with python$$ver; \
-	    python$$ver ./setup.py test; \
-          fi; \
-	done
+	    python$$ver ./setup.py test -q; \
+	  fi; \
+	done;
+	@if type pypy >/dev/null; then \
+	  echo Testing with pypy; \
+	  pypy ./setup.py test -q; \
+	fi
 
 clean:
 	rm -rf $(DOCHTML) $(DOCTREES)

=== debian/changelog ===
python-pyxattr (0.5.3-2build2) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 20:43:33 +0000

python-pyxattr (0.5.3-2build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 24 Jul 2015 22:28:24 +0000

python-pyxattr (0.5.3-2) unstable; urgency=medium

  * Fix building with Sphinx 1.3 (Closes: #787848).

 -- Iustin Pop <iustin@debian.org>  Mon, 29 Jun 2015 21:37:39 +0200

python-pyxattr (0.5.3-1) unstable; urgency=medium

  * New upstream releases: speedup, changes in handling invalid file names
  * Standards version 3.9.5 (no changes needed)
  * Update watch file

 -- Iustin Pop <iustin@debian.org>  Mon, 21 Jul 2014 05:03:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: python-pyxattr
 Section: python
 Priority: optional
-Maintainer: Iustin Pop <iustin@debian.org>
-Build-Depends: debhelper (>= 7),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Iustin Pop <iustin@debian.org>
+Build-Depends: debhelper (>= 7), dh-python,
  python (>= 2.6.6-3~), python-all-dev (>= 2.6.6-3~), python-all-dbg,
  python3-all, python3-all-dev, python3-all-dbg,
  libattr1-dev, python-setuptools, python3-setuptools,
- python-sphinx (>= 1.0.7+dfsg)
-Standards-Version: 3.9.3
+ python-sphinx (>= 1.0.7+dfsg) | python3-sphinx
+Standards-Version: 3.9.6
 Homepage: http://pyxattr.k1024.org/
 Vcs-Browser: http://git.k1024.org/debian-pyxattr.git
 Vcs-Git: git://git.k1024.org/debian-pyxattr.git

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

PYVERS := $(shell pyversions -vr)
PY3VERS := $(shell py3versions -vr)

PKGROOT=$(CURDIR)/debian/python-pyxattr
DBGROOT=$(CURDIR)/debian/python-pyxattr-dbg
PKG3ROOT=$(CURDIR)/debian/python3-pyxattr
DBG3ROOT=$(CURDIR)/debian/python3-pyxattr-dbg

build: build-arch build-indep
	touch $@

build-arch: $(PYVERS:%=build-python%) $(PY3VERS:%=build-python%)
	$(MAKE) doc
	touch $@

build-python%:
	python$* setup.py build
	python$*-dbg setup.py build
	touch $@

build-indep:
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-indep build-arch
	$(MAKE) clean
	rm -f $(PYVERS:%=build-python%)
	rm -f $(PY3VERS:%=build-python%)
	rm -rf pxattr.egg-info
	dh_clean

install: build $(PYVERS:%=install-python%) $(PY3VERS:%=install-python%)
	find $(DBGROOT) ! -type d ! -name '*_d.so' | xargs rm -f
	find $(DBGROOT) -depth -empty -print0 | xargs -r0 rmdir

install-python2%:
	python2$* setup.py install --root $(PKGROOT) --install-layout=deb
	python2$*-dbg setup.py install --root $(DBGROOT) --install-layout=deb

install-python3%:
	python3$* setup.py install --root $(PKG3ROOT) --install-layout=deb
	python3$*-dbg setup.py install --root $(DBG3ROOT) --install-layout=deb

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_sphinxdoc
	dh_strip -ppython-pyxattr --dbg-package=python-pyxattr-dbg
	dh_strip -ppython3-pyxattr --dbg-package=python3-pyxattr-dbg
	rm -rf $(DBGROOT)/usr/share/doc/python-pyxattr-dbg
	ln -s python-pyxattr $(DBGROOT)/usr/share/doc/python-pyxattr-dbg
	rm -rf $(DBG3ROOT)/usr/share/doc/python3-pyxattr-dbg
	ln -s python3-pyxattr $(DBG3ROOT)/usr/share/doc/python3-pyxattr-dbg
	dh_compress -X.js
	dh_fixperms
	dh_python2
	dh_python3
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages here.
binary-indep: build install
# Nothing to do

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

## python-pyxattr 0.5.6

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 ALLSPHINXOPTS = -d $(DOCTREES) $(SPHINXOPTS) $(DOCDIR)
 
 MODNAME = xattr.so
-RSTFILES = doc/index.rst doc/module.rst NEWS README doc/conf.py
+RSTFILES = doc/index.rst doc/module.rst NEWS README.rst doc/conf.py
 
 all: doc test
 
@@ -23,7 +23,7 @@
 	fakeroot ./setup.py sdist
 
 test:
-	@for ver in 2.4 2.5 2.6 2.7 3.0 3.1 3.2 3.3; do \
+	@for ver in 2.4 2.5 2.6 2.7 3.0 3.1 3.2 3.3 3.4 3.5; do \
 	  if type python$$ver >/dev/null; then \
 	    echo Testing with python$$ver; \
 	    python$$ver ./setup.py test -q; \
@@ -37,6 +37,7 @@
 clean:
 	rm -rf $(DOCHTML) $(DOCTREES)
 	rm -f $(MODNAME)
+	rm -f *.so
 	rm -rf build
 
 .PHONY: doc test clean dist

=== debian/changelog ===
python-pyxattr (0.5.6-1) unstable; urgency=medium

  * Imported Upstream versions 0.5.4, 0.5.5 and 0.5.6; main changes:
    - fix multiple memory leaks in error handling paths
    - improve error message in case attributes disappear during retrieval
    - fix actual int/size_t issues (https://bugzilla.redhat.com/1127310)
    - fix potential sign-compare issues (code is -Wconversion clean now)
    - fix potential name truncation in merge_ns()
    - fix building on systems which don't have ENODATA
  * Improve hardening of the package (all except pie, which breaks the
    build)
  * Migrate debian/copyright to DEP5-style
  * Switch debian packaging repo over to Alioth
  * Switch build system to dh and pybuild
  * Split the documentation into a separate package (Closes: #725419);
    note that the path to the documentation has now changed
  * Add autopkgtest testsuite; this would have helped the issue found by
    RedHat much earlier, since Debian runs on more platforms

 -- Iustin Pop <iustin@debian.org>  Sat, 14 May 2016 23:31:34 +0200

## python-pyxattr 0.6.0

=== Makefile ===
--- 
+++ 
@@ -24,15 +24,23 @@
 
 test:
 	@for ver in 2.4 2.5 2.6 2.7 3.0 3.1 3.2 3.3 3.4 3.5; do \
-	  if type python$$ver >/dev/null; then \
-	    echo Testing with python$$ver; \
-	    python$$ver ./setup.py test -q; \
-	  fi; \
+	  for flavour in "" "-dbg"; do \
+	    if type python$$ver$$flavour >/dev/null; then \
+	      echo Testing with python$$ver$$flavour; \
+	      python$$ver$$flavour ./setup.py test -q; \
+	    fi; \
+	  done; \
 	done;
 	@if type pypy >/dev/null; then \
 	  echo Testing with pypy; \
 	  pypy ./setup.py test -q; \
 	fi
+
+coverage:
+	$(MAKE) clean
+	$(MAKE) test CFLAGS="-coverage"
+	lcov --capture --directory . --output-file coverage.info
+	genhtml coverage.info --output-directory out
 
 clean:
 	rm -rf $(DOCHTML) $(DOCTREES)
@@ -40,4 +48,4 @@
 	rm -f *.so
 	rm -rf build
 
-.PHONY: doc test clean dist
+.PHONY: doc test clean dist coverage

=== debian/changelog ===
python-pyxattr (0.6.0-2build2) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Aug 2017 18:55:58 +1200

python-pyxattr (0.6.0-2build1) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 May 2017 14:53:57 +1200

python-pyxattr (0.6.0-2) unstable; urgency=medium

  * Fixup building on hurd and kfreebsd; while neither of these
    architectures have proper xattr support, the package was present and
    importable on them previously (and hurd has some very basic support
    for xattrs)

 -- Iustin Pop <iustin@debian.org>  Thu, 26 Jan 2017 00:30:55 +0100

python-pyxattr (0.6.0-1) unstable; urgency=medium

  * New upstream release, mainly fixing a race condition when
    listing/reading attributes during concurrent modifications (which
    required internal changes, see the NEWS file), and OSX support (not
    impacting Debian)
  * Fixup autopkgtests to also work when building the packages

 -- Iustin Pop <iustin@debian.org>  Mon, 23 Jan 2017 23:35:45 +0100

=== debian/control ===
Source: python-pyxattr
Section: python
Priority: optional
Maintainer: Iustin Pop <iustin@debian.org>
Build-Depends: debhelper (>= 9), dh-python,
 python (>= 2.6.6-3~), python-all-dev (>= 2.6.6-3~), python-all-dbg,
 python3-all, python3-all-dev, python3-all-dbg,
 libattr1-dev, python-setuptools, python3-setuptools,
 python-sphinx (>= 1.0.7+dfsg) | python3-sphinx
Standards-Version: 3.9.8
Homepage: http://pyxattr.k1024.org/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-pyxattr.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-pyxattr.git
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.0

Package: python-pyxattr
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Suggests: python-pyxattr-dbg, python-pyxattr-doc
Description: module for manipulating filesystem extended attributes
 pyxattr is a Python interface to the libattr library. It allows
 manipulation of the filesystem extended attributes present in some
 operating systems (GNU/Linux included).
 .
 This package contains the library for Python 2.

Package: python-pyxattr-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-pyxattr (= ${binary:Version}), python-dbg, ${shlibs:Depends},
 ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: module for manipulating filesystem extended attributes (debug extension)
 pyxattr is a Python interface to the libattr library. It allows
 manipulation of the filesystem extended attributes present in some
 operating systems (GNU/Linux included).
 .
 This package contains the library for the Python 2 debug interpreter.

Package: python3-pyxattr
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Suggests: python3-pyxattr-dbg, python-pyxattr-doc
Description: module for manipulating filesystem extended attributes (Python3)
 pyxattr is a Python interface to the libattr library. It allows
 manipulation of the filesystem extended attributes present in some
 operating systems (GNU/Linux included).
 .
 This package contains the library for Python 3.

Package: python3-pyxattr-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python3-pyxattr (= ${binary:Version}), python3-dbg,
 ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: module for manipulating filesystem extended attributes (Python3 debug version)
 pyxattr is a Python interface to the libattr library. It allows
 manipulation of the filesystem extended attributes present in some
 operating systems (GNU/Linux included).
 .
 This package contains the library for the Python 3 debug interpreter.

Package: python-pyxattr-doc
Architecture: all
Section: doc
Replaces: python-pyxattr (<< 0.5.6-1)
Breaks: python-pyxattr (<< 0.5.6-1)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: module for manipulating filesystem extended attributes (documentation)
 pyxattr is a Python interface to the libattr library. It allows
 manipulation of the filesystem extended attributes present in some
 operating systems (GNU/Linux included).
 .
 This package contains the HTML documentation for the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export PYBUILD_NAME = pyxattr
export PYBUILD_DISABLE = test

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

# Also build the documentation
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' make doc

# ... and clean it
override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) clean

override_dh_strip:
	dh_strip -ppython-pyxattr --dbg-package=python-pyxattr-dbg
	dh_strip -ppython3-pyxattr --dbg-package=python3-pyxattr-dbg

override_dh_installdocs:
	dh_installdocs --link-doc=python-pyxattr -ppython-pyxattr-dbg
	dh_installdocs --link-doc=python3-pyxattr -ppython3-pyxattr-dbg
	dh_installdocs -A --remaining-packages README.rst

override_dh_installchangelogs:
	dh_installchangelogs -A NEWS

=== debian/tests/control ===
Tests: simple run-testsuite-if-attrs-enabled
Depends: @, attr
Restrictions: allow-stderr

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

# the package is located on my own site, github deprecated downloads
opts=pgpsigurlmangle=s/$/.asc/ \
  http://pyxattr.k1024.org/downloads/pyxattr-(.+).tar.gz

## python-pyxattr 0.6.0-2build2+10.0trisquel1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-SPHINXOPTS    = -W
+SPHINXOPTS    =
 SPHINXBUILD   = sphinx-build
 DOCDIR        = doc
 DOCHTML       = $(DOCDIR)/html

=== debian/changelog ===
python-pyxattr (0.6.0-2build2+10.0trisquel1) nabia-backports; urgency=medium

  * Forward-ported from bionic

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 24 Sep 2021 19:46:45 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  python (>= 2.6.6-3~), python-all-dev (>= 2.6.6-3~), python-all-dbg,
  python3-all, python3-all-dev, python3-all-dbg,
  libattr1-dev, python-setuptools, python3-setuptools,
- python-sphinx (>= 1.0.7+dfsg) | python3-sphinx
+ python3-sphinx
 Standards-Version: 3.9.8
 Homepage: http://pyxattr.k1024.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-pyxattr.git

## python-pyxattr 0.6.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-SPHINXOPTS    =
+SPHINXOPTS    = -W
 SPHINXBUILD   = sphinx-build
 DOCDIR        = doc
 DOCHTML       = $(DOCDIR)/html
@@ -7,6 +7,8 @@
 
 MODNAME = xattr.so
 RSTFILES = doc/index.rst doc/module.rst NEWS README.rst doc/conf.py
+PYVERS = 2.4 2.5 2.6 2.7 3.0 3.1 3.2 3.3 3.4 3.5 3.6 3.7
+REPS = 5
 
 all: doc test
 
@@ -23,7 +25,7 @@
 	fakeroot ./setup.py sdist
 
 test:
-	@for ver in 2.4 2.5 2.6 2.7 3.0 3.1 3.2 3.3 3.4 3.5; do \
+	@for ver in $(PYVERS); do \
 	  for flavour in "" "-dbg"; do \
 	    if type python$$ver$$flavour >/dev/null; then \
 	      echo Testing with python$$ver$$flavour; \
@@ -35,6 +37,25 @@
 	  echo Testing with pypy; \
 	  pypy ./setup.py test -q; \
 	fi
+
+benchmark: $(MODNAME)
+	@set -e; \
+	TESTFILE=`mktemp`;\
+	trap 'rm $$TESTFILE' EXIT; \
+	for ver in $(PYVERS) ; do \
+	    if type python$$ver >/dev/null; then \
+	      echo Benchmarking with python$$ver; \
+	      python$$ver ./setup.py build -q; \
+	      echo "  - set (with override)"; \
+	      python$$ver -m timeit -r $(REPS) -s 'import xattr' "xattr.set('$$TESTFILE', 'user.comment', 'hello')"; \
+	      echo "  - list"; \
+	      python$$ver -m timeit -r $(REPS) -s 'import xattr' "xattr.list('$$TESTFILE')"; \
+	      echo "  - get"; \
+	      python$$ver -m timeit -r $(REPS) -s 'import xattr' "xattr.get('$$TESTFILE', 'user.comment')"; \
+	      echo "  - set + remove"; \
+	      python$$ver -m timeit -r $(REPS) -s 'import xattr' "xattr.set('$$TESTFILE', 'user.comment', 'hello'); xattr.remove('$$TESTFILE', 'user.comment')"; \
+	    fi; \
+	done;
 
 coverage:
 	$(MAKE) clean

=== debian/changelog ===
python-pyxattr (0.6.1-2) unstable; urgency=medium

  * Drop python2 support; Closes: #938107
  * debian/patches/easy-doc.patch
    - remove dependency between building ext and building doc

 -- Sandro Tosi <morph@debian.org>  Tue, 17 Mar 2020 12:25:10 -0400

python-pyxattr (0.6.1-1) unstable; urgency=medium

  * New upstream release, with two changes that affect Linux and Debian:
    - Drop the use of the `attr` library, and instead switch to the glibc
      header `sys/xattr.h`, which is provided for a really long time now
      (since glibc 2.3)
    - Release the GIL when performing I/O, which can improve performance
      significantly on network or slow filesystems; slowdown on fast
      filesystems should be minimal (0-5%, in many cases negligible)
  * Usual updates to the debian packaging (new standards version, added
    rules-requires-root: no, debhelper compat version, etc.)

 -- Iustin Pop <iustin@debian.org>  Mon, 29 Oct 2018 21:45:20 +0100

=== debian/control ===
Source: python-pyxattr
Section: python
Priority: optional
Maintainer: Iustin Pop <iustin@debian.org>
Build-Depends: debhelper (>= 11~), dh-python,
 python3-all, python3-all-dev, python3-all-dbg,
 python3-setuptools,
 python3-sphinx
Standards-Version: 4.2.1
Homepage: https://pyxattr.k1024.org/
Vcs-Browser: https://salsa.debian.org/debian/python-pyxattr
Vcs-Git: https://salsa.debian.org/debian/python-pyxattr.git
Rules-Requires-Root: no

Package: python3-pyxattr
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Suggests: python3-pyxattr-dbg, python-pyxattr-doc
Description: module for manipulating filesystem extended attributes (Python3)
 pyxattr is a Python interface to the libattr library. It allows
 manipulation of the filesystem extended attributes present in some
 operating systems (GNU/Linux included).
 .
 This package contains the library for Python 3.

Package: python3-pyxattr-dbg
Section: debug
Architecture: any
Depends: python3-pyxattr (= ${binary:Version}), python3-dbg,
 ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: module for manipulating filesystem extended attributes (Python3 debug version)
 pyxattr is a Python interface to the libattr library. It allows
 manipulation of the filesystem extended attributes present in some
 operating systems (GNU/Linux included).
 .
 This package contains the library for the Python 3 debug interpreter.

Package: python-pyxattr-doc
Architecture: all
Section: doc
Replaces: python-pyxattr (<< 0.5.6-1)
Breaks: python-pyxattr (<< 0.5.6-1)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: module for manipulating filesystem extended attributes (documentation)
 pyxattr is a Python interface to the libattr library. It allows
 manipulation of the filesystem extended attributes present in some
 operating systems (GNU/Linux included).
 .
 This package contains the HTML documentation for the library.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 # Also build the documentation
 override_dh_auto_build:
@@ -27,11 +27,9 @@
 	$(MAKE) clean
 
 override_dh_strip:
-	dh_strip -ppython-pyxattr --dbg-package=python-pyxattr-dbg
 	dh_strip -ppython3-pyxattr --dbg-package=python3-pyxattr-dbg
 
 override_dh_installdocs:
-	dh_installdocs --link-doc=python-pyxattr -ppython-pyxattr-dbg
 	dh_installdocs --link-doc=python3-pyxattr -ppython3-pyxattr-dbg
 	dh_installdocs -A --remaining-packages README.rst

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

# the package is located on my own site, github deprecated downloads
opts=pgpsigurlmangle=s/$/.asc/ \
  https://pyxattr.k1024.org/downloads/pyxattr-(.+).tar.gz

## python-pyxattr 0.7.2

=== Makefile ===
--- 
+++ 
@@ -1,19 +1,23 @@
+PYTHON        = python3
 SPHINXOPTS    = -W
-SPHINXBUILD   = sphinx-build
+SPHINXBUILD   = $(PYTHON) -m sphinx
 DOCDIR        = doc
 DOCHTML       = $(DOCDIR)/html
 DOCTREES      = $(DOCDIR)/doctrees
 ALLSPHINXOPTS = -d $(DOCTREES) $(SPHINXOPTS) $(DOCDIR)
+VERSION       = 0.7.2
+FULLVER       = pyxattr-$(VERSION)
+DISTFILE      = $(FULLVER).tar.gz
 
 MODNAME = xattr.so
-RSTFILES = doc/index.rst doc/module.rst NEWS README.rst doc/conf.py
-PYVERS = 2.4 2.5 2.6 2.7 3.0 3.1 3.2 3.3 3.4 3.5 3.6 3.7
+RSTFILES = doc/index.rst doc/module.rst doc/news.rst doc/readme.md doc/conf.py
+PYVERS = 3.4 3.5 3.6 3.7 3.8 3.9
 REPS = 5
 
 all: doc test
 
 $(MODNAME): xattr.c
-	./setup.py build_ext --inplace
+	$(PYTHON) ./setup.py build_ext --inplace
 
 $(DOCHTML)/index.html: $(MODNAME) $(RSTFILES)
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(DOCHTML)
@@ -21,22 +25,42 @@
 
 doc: $(DOCHTML)/index.html
 
+doc/readme.md: README.md
+	ln -s ../README.md doc/readme.md
+
+doc/news.rst: NEWS
+	ln -s ../NEWS doc/news.rst
+
 dist:
-	fakeroot ./setup.py sdist
+	fakeroot $(PYTHON) ./setup.py sdist
+
+distcheck: dist
+	set -e; \
+	TDIR=$$(mktemp -d) && \
+	trap "rm -rf $$TDIR" EXIT; \
+	tar xzf dist/$(DISTFILE) -C $$TDIR && \
+	(cd $$TDIR/$(FULLVER) && make doc && make test && make dist) && \
+	echo "All good, you can upload $(DISTFILE)!"
 
 test:
 	@for ver in $(PYVERS); do \
 	  for flavour in "" "-dbg"; do \
 	    if type python$$ver$$flavour >/dev/null; then \
 	      echo Testing with python$$ver$$flavour; \
-	      python$$ver$$flavour ./setup.py test -q; \
+	      python$$ver$$flavour setup.py build_ext -i; \
+	      python$$ver$$flavour -m pytest tests; \
 	    fi; \
 	  done; \
 	done;
-	@if type pypy >/dev/null; then \
-	  echo Testing with pypy; \
-	  pypy ./setup.py test -q; \
+	@if type pypy3 >/dev/null; then \
+	  echo Testing with pypy3; \
+	  pypy3 setup.py build_ext -i; \
+	  pypy3 -m pytest tests; \
 	fi
+
+fast-test:
+	python3 setup.py build_ext -i
+	python3 -m pytest tests -v
 
 benchmark: $(MODNAME)
 	@set -e; \
@@ -60,13 +84,14 @@
 coverage:
 	$(MAKE) clean
 	$(MAKE) test CFLAGS="-coverage"
-	lcov --capture --directory . --output-file coverage.info
+	lcov --capture --directory . --no-external --output-file coverage.info
 	genhtml coverage.info --output-directory out
 
 clean:
 	rm -rf $(DOCHTML) $(DOCTREES)
+	rm -f doc/readme.md doc/news.rst
 	rm -f $(MODNAME)
 	rm -f *.so
 	rm -rf build
 
-.PHONY: doc test clean dist coverage
+.PHONY: doc test fast-test clean dist distcheck coverage

=== debian/changelog ===
python-pyxattr (0.7.2-2ubuntu2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 20:03:08 +0000

python-pyxattr (0.7.2-2ubuntu1) jammy; urgency=low

  * Merge from Debian unstable (LP: #1960616). Remaining changes:
    - Enable building with pie. That was disabled in 2016, but seems
      to build now.
  * Update maintainer to Ubuntu Developers as a delta was introduced.

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Fri, 11 Feb 2022 12:15:58 +0100

python-pyxattr (0.7.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + python-pyxattr-doc: Drop versioned constraint on python-pyxattr in
      Replaces.
    + python-pyxattr-doc: Drop versioned constraint on python-pyxattr in Breaks.

  [ Iustin Pop ]
  * Remove debug package; no reverse deps, so straightforward (Closes:
    #994366).
  * Bump standards version (no changes needed).
  * Fix double-building (pbuild) by adding an ignore for egg-info/PKG-INFO
    files.

 -- Iustin Pop <iustin@debian.org>  Sat, 27 Nov 2021 01:13:39 +0100

python-pyxattr (0.7.2-1ubuntu3) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Oct 2021 09:53:38 +0200

python-pyxattr (0.7.2-1ubuntu2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:23:10 +0200

python-pyxattr (0.7.2-1ubuntu1) hirsute; urgency=medium

  * Enable building with pie. That was disabled in 2016, but seems
    to build now.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Mar 2021 10:28:20 +0100

python-pyxattr (0.7.2-1build1) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:43:28 +0100

python-pyxattr (0.7.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Fix field name typos in debian/copyright.

  [ Iustin Pop ]
  * New upstream version, officially dropping Python 2 support, which
    allows better compatibility with Python 3, e.g. Path objects support.
  * Minor refresh of packaging (debhelper compat, standards version, watch
    file version, etc.).
  * Drop the easy-doc patch, it is actually harmful.

 -- Iustin Pop <iustin@debian.org>  Sun, 29 Nov 2020 21:28:46 +0100

=== debian/control ===
Source: python-pyxattr
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Iustin Pop <iustin@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python,
 python3-all, python3-all-dev,
 python3-setuptools,
 python3-sphinx, python3-recommonmark
Standards-Version: 4.6.0.1
Homepage: https://pyxattr.k1024.org/
Vcs-Browser: https://salsa.debian.org/debian/python-pyxattr
Vcs-Git: https://salsa.debian.org/debian/python-pyxattr.git
Rules-Requires-Root: no

Package: python3-pyxattr
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Suggests: python3-pyxattr-dbg, python-pyxattr-doc
Multi-Arch: same
Description: module for manipulating filesystem extended attributes (Python3)
 pyxattr is a Python interface to the libattr library. It allows
 manipulation of the filesystem extended attributes present in some
 operating systems (GNU/Linux included).
 .
 This package contains the library for Python 3.

Package: python-pyxattr-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: module for manipulating filesystem extended attributes (documentation)
 pyxattr is a Python interface to the libattr library. It allows
 manipulation of the filesystem extended attributes present in some
 operating systems (GNU/Linux included).
 .
 This package contains the HTML documentation for the library.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export PYBUILD_NAME = pyxattr
 export PYBUILD_DISABLE = test
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
@@ -26,12 +26,8 @@
 	dh_auto_clean
 	$(MAKE) clean
 
-override_dh_strip:
-	dh_strip -ppython3-pyxattr --dbg-package=python3-pyxattr-dbg
-
 override_dh_installdocs:
-	dh_installdocs --link-doc=python3-pyxattr -ppython3-pyxattr-dbg
-	dh_installdocs -A --remaining-packages README.rst
+	dh_installdocs -A --remaining-packages README.md
 
 override_dh_installchangelogs:
 	dh_installchangelogs -A NEWS

## python-pyxattr 0.8.0

=== debian/changelog ===
python-pyxattr (0.8.0-1) unstable; urgency=medium

  * New upstream version, one memory leak on an error path and otherwise
    trivial changes.
  * Bump standards version (no changes needed, AFACIS).
  * Re-enable pie, since it now builds correctly with it (Closes: #986191).
  * Enable LTO, looks like more recent Python allows building with it
    (Closes: #1015600).

 -- Iustin Pop <iustin@debian.org>  Thu, 19 Jan 2023 12:44:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: python-pyxattr
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Iustin Pop <iustin@debian.org>
+Maintainer: Iustin Pop <iustin@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python,
  python3-all, python3-all-dev,
  python3-setuptools,
  python3-sphinx, python3-recommonmark
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://pyxattr.k1024.org/
 Vcs-Browser: https://salsa.debian.org/debian/python-pyxattr
 Vcs-Git: https://salsa.debian.org/debian/python-pyxattr.git

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export PYBUILD_NAME = pyxattr
 export PYBUILD_DISABLE = test
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk

## python-pyxattr 0.8.1

=== Makefile ===
--- 
+++ 
@@ -5,13 +5,13 @@
 DOCHTML       = $(DOCDIR)/html
 DOCTREES      = $(DOCDIR)/doctrees
 ALLSPHINXOPTS = -d $(DOCTREES) $(SPHINXOPTS) $(DOCDIR)
-VERSION       = 0.7.2
+VERSION       = 0.8.1
 FULLVER       = pyxattr-$(VERSION)
 DISTFILE      = $(FULLVER).tar.gz
 
 MODNAME = xattr.so
-RSTFILES = doc/index.rst doc/module.rst doc/news.rst doc/readme.md doc/conf.py
-PYVERS = 3.4 3.5 3.6 3.7 3.8 3.9
+RSTFILES = doc/index.rst doc/module.rst doc/news.md doc/readme.md doc/conf.py
+PYVERS = 3.7 3.8 3.9 3.10 3.11
 REPS = 5
 
 all: doc test
@@ -24,12 +24,6 @@
 	touch $@
 
 doc: $(DOCHTML)/index.html
-
-doc/readme.md: README.md
-	ln -s ../README.md doc/readme.md
-
-doc/news.rst: NEWS
-	ln -s ../NEWS doc/news.rst
 
 dist:
 	fakeroot $(PYTHON) ./setup.py sdist
@@ -89,7 +83,6 @@
 
 clean:
 	rm -rf $(DOCHTML) $(DOCTREES)
-	rm -f doc/readme.md doc/news.rst
 	rm -f $(MODNAME)
 	rm -f *.so
 	rm -rf build

=== debian/changelog ===
python-pyxattr (0.8.1-1build5) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:09:39 +0000

python-pyxattr (0.8.1-1build4) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 00:17:53 +0000

python-pyxattr (0.8.1-1build3) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:59:56 +0100

python-pyxattr (0.8.1-1build2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:17:33 +0200

python-pyxattr (0.8.1-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:51:28 +0000

python-pyxattr (0.8.1-1) unstable; urgency=medium

  * Minor upstream release (mostly non-code).
  * Drop the suggests on the -dbg package, was remove a long time ago.

 -- Iustin Pop <iustin@debian.org>  Tue, 18 Apr 2023 22:26:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-pyxattr
 Section: python
 Priority: optional
-Maintainer: Iustin Pop <iustin@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Iustin Pop <iustin@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python,
  python3-all, python3-all-dev,
  python3-setuptools,
@@ -16,7 +17,7 @@
 Architecture: any
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python3:Provides}
-Suggests: python3-pyxattr-dbg, python-pyxattr-doc
+Suggests: python-pyxattr-doc
 Multi-Arch: same
 Description: module for manipulating filesystem extended attributes (Python3)
  pyxattr is a Python interface to the libattr library. It allows

=== debian/tests/control ===
Tests: simple run-testsuite-if-attrs-enabled
Depends: @, attr, python3-pytest
Restrictions: allow-stderr
